## runit-run 0.5.0

=== Makefile ===
DESTDIR=

install:
	for i in 2 3 4; do install -d $(DESTDIR)/etc/runit/getty-$$i; done
	for i in 2 3 4; do \
	  install -m0755 getty-$$i/run $(DESTDIR)/etc/runit/getty-$$i/run; \
	  install -m0755 getty-$$i/finish $(DESTDIR)/etc/runit/getty-$$i/finish; \
	done
	for i in 1 2 3 ctrlaltdel; do \
	  install -m0755 $$i $(DESTDIR)/etc/runit/$$i; \
	done
	install -m0755 runit-policy-rc.d $(DESTDIR)/usr/sbin/runit-policy-rc.d

## runit-run 0.4.1

=== debian/changelog ===
runit-run (0.4.1) unstable; urgency=low

  * 1: remove old runit binary after running /etc/init.d/rcS.

 -- Gerrit Pape <pape@smarden.org>  Mon, 29 Dec 2003 15:18:31 +0000

runit-run (0.4.0) unstable; urgency=low

  * debian/control: no longer Build-Depends-Indep: debhelper;
    Standards-Version: 3.6.1.0.
  * debian/rules: stop using debhelper, use implicit Makefile rules.
  * debian/implicit: new; implicit rules.
  * 1: remove old runit binary on first reboot after upgrade.
  * debian/runit-run.postinst: check for empty /var/service/ before copying
    files from there (closes: #224787); cleanup.
  * debian/runit-run.prerm: take getty services down; minor cleanup.
  * debian/runit-run.postrm: restore old service directory if it's still
    available (thx Bastian Kleineidam, closes: #224804); minor cleanup.
  * debian/runit-run.preinst: minor cleanup.
  * debian/runit-run.docs: add debian/INTERFACE.policy-rc.d,
    debian/README.Debian.
  * debian/runit-run.dirs, debian/runit-run.links: remove; obsolete.
  * debian/runit-run.conffiles: new.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Dec 2003 17:51:52 +0000

runit-run (0.3.1) unstable; urgency=low

  * 3: fix typo.

 -- Gerrit Pape <pape@smarden.org>  Thu, 27 Nov 2003 08:41:15 +0000

runit-run (0.3.0) unstable; urgency=low

  * runit-policy-rc.d, runit-policy-rc.d.8: new; runit's init script
    policy for invoke-rc.d(8).
  * debian/INTERFACE.policy-rc.d: new; policy-rc.d interface spec by
    Henrique de Moraes Holschuh.
  * debian/runit-run.prerm: new; update-alternatives --remove on
    remove|deconfigure|failed-upgrade.
  * Makefile: install runit-policy-rc.d into /usr/sbin/.
  * ctrlaltdel: typo.
  * debian/README.Debian: add note about policy-rc.d.
  * debian/rules: cleanuP, install runit-policy-rc.d.8 man page.
  * debian/runit-run.dirs: add usr/sbin/.
  * debian/runit-run.postinst: update-alternatives --install on
    configure|abort-upgrade.

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Nov 2003 13:59:13 +0000

runit-run (0.2.4) unstable; urgency=low

  * 3: fix typo.

 -- Gerrit Pape <pape@smarden.org>  Tue, 21 Oct 2003 13:12:15 +0000

runit-run (0.2.3) unstable; urgency=low

  * 1, 3: adapt changes from runit package.
  * debian/control: Standards-Version: 3.6.0; Depends: runit (>> 0.11.2-0),
    Depends: sysv-rc instead of sysvinit.
  * debian/runit-run.dirs: add directories for getty services.
  * debian/runit-run.links: remove /var/service, now included in the runit
    package; add links for getty services to /var/run/.
  * debian/runit-run.postrm: force remove getty service directories in
    /var/run/ on purge.
  * debian/runit-run.postinst: save previous /var/service directory to
    /var/service{old}.

 -- Gerrit Pape <pape@smarden.org>  Thu, 16 Oct 2003 13:48:41 +0000

runit-run (0.2.0) unstable; urgency=low

  * include /etc/runit/{1,2,3,ctrlaltdel} (previously included in the
    runit package).
  * debian/control: Standards-Version: 3.5.8; Depends: runit (>> 0.7.2-0);
    Build-Depends-Indep instead of Build-Depends.
  * debian/rules: build package in target binary-indep instead of
    binary-arch; add -n option to dh_installdocs (don't install /usr/doc/
    link); minor cleanup.

 -- Gerrit Pape <pape@smarden.org>  Wed, 29 Jan 2003 14:23:35 +0100

runit-run (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@smarden.org>  Thu, 17 Oct 2002 10:28:56 +0200

=== debian/control ===
Source: runit-run
Section: admin
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.6.1.0

Package: runit-run
Architecture: all
Depends: runit (>> 0.11.2-0), sysv-rc
Replaces: daemontools-run
Description: a UNIX init scheme with service supervision
 runit is a daemontools alike replacement for SysV-init and other init
 schemes.  runit currently runs on Debian GNU/Linux, OpenBSD, FreeBSD,
 and may be easily adapted to other unix operating systems.
 runit implements a simple three-stage concept.  Stage 1 performs the
 system's one-time initialization tasks.  Stage 2 starts the system's
 uptime services (via the runsvdir program).  Stage 3 handles the tasks
 necessary to shutdown and halt or reboot. 
 .
 See http://smarden.org/runit/ for more information.
 .
 This package replaces the /sbin/init binary and configures runit to run
 as process no 1 after the next reboot.

=== debian/rules ===
#!/usr/bin/make -f

DIR =`pwd`/debian/runit-run

build: deb-checkdir build-stamp
build-stamp: 
	touch build-stamp

clean: deb-checkdir deb-checkuid
	rm -f build-stamp
	rm -rf "$(DIR)"
	rm -f debian/files

install: deb-checkdir deb-checkuid install-stamp
install-stamp: build-stamp
	rm -rf "$(DIR)"
	for i in etc/runit/runsvdir/default etc/runit/runsvdir/single \
	  sbin usr/sbin var/run/getty-2 var/run/getty-3 var/run/getty-4; do \
	  install -d -m0755 "$(DIR)"/$$i || exit 1; \
	done
	$(MAKE) install DESTDIR="$(DIR)"/
	install -d -m0755 "$(DIR)"/usr/share/man/man8
	# man page
	install -m0644 runit-policy-rc.d.8 "$(DIR)"/usr/share/man/man8/
	gzip -9 "$(DIR)"/usr/share/man/man8/*.8
	# links
	ln -s runit-init "$(DIR)"/sbin/init
	ln -s runit-init.8.gz "$(DIR)"/usr/share/man/man8/init.8.gz
	ln -s default "$(DIR)"/etc/runit/runsvdir/current
	for i in 2 3 4 5; do \
	  ln -s ../../getty-$$i "$(DIR)"/etc/runit/runsvdir/default/ \
	    || exit 1; \
	done
	ln -s ../../getty-5 "$(DIR)"/etc/runit/runsvdir/single/
	for i in 2 3 4; do \
	  ln -s /var/run/getty-$$i "$(DIR)"/etc/runit/getty-$$i/supervise \
	    || exit 1; \
	done

binary-indep: deb-checkdir deb-checkuid install runit-run.deb
	dpkg-gencontrol -isp -prunit-run -P"$(DIR)"
	dpkg -b "$(DIR)" ..

binary-arch: 

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

## runit-run 0.5.0

=== debian/changelog ===
runit-run (0.5.0) unstable; urgency=low

  * debian/README.Debian: cleanup; wording.
  * debian/control: Depends: runit (>> 1.0.5-0); update long description.
  * debian/copyright: 2001-2004.
  * debian/implicit: update to revision 1.10.
  * debian/rules: minor cleanup.
  * debian/runit-run.postinst, debian/runit-run.postrm,
    debian/runit-run.preinst, debian/runit-run.prerm: simplify; cleanup.
  * 2: use -P option to runsvdir.

 -- Gerrit Pape <pape@smarden.org>  Wed, 22 Sep 2004 07:47:25 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 
 Package: runit-run
 Architecture: all
-Depends: runit (>> 0.11.2-0), sysv-rc
+Depends: runit (>> 1.0.5-0), sysv-rc
 Replaces: daemontools-run
 Description: a UNIX init scheme with service supervision
  runit is a daemontools alike replacement for SysV-init and other init
  schemes.  runit currently runs on Debian GNU/Linux, OpenBSD, FreeBSD,
- and may be easily adapted to other unix operating systems.
- runit implements a simple three-stage concept.  Stage 1 performs the
- system's one-time initialization tasks.  Stage 2 starts the system's
+ MacOSX, and Solaris, and may be easily adapted to other unix operating
+ systems.  runit implements a simple three-stage concept.  Stage 1 performs
+ the system's one-time initialization tasks.  Stage 2 starts the system's
  uptime services (via the runsvdir program).  Stage 3 handles the tasks
  necessary to shutdown and halt or reboot. 
  .

=== debian/rules ===
#!/usr/bin/make -f

DIR =$(shell pwd)/debian/runit-run

build: deb-checkdir build-stamp
build-stamp: 
	touch build-stamp

clean: deb-checkdir deb-checkuid
	rm -f build-stamp
	rm -rf '$(DIR)'
	rm -f debian/files

install: deb-checkdir deb-checkuid install-stamp
install-stamp: build-stamp
	rm -rf '$(DIR)'
	for i in etc/runit/runsvdir/default etc/runit/runsvdir/single \
	  sbin usr/sbin var/run/getty-2 var/run/getty-3 var/run/getty-4; do \
	  install -d -m0755 '$(DIR)'/$$i || exit 1; \
	done
	$(MAKE) install DESTDIR='$(DIR)'/
	install -d -m0755 '$(DIR)'/usr/share/man/man8
	# man page
	install -m0644 runit-policy-rc.d.8 '$(DIR)'/usr/share/man/man8/
	gzip -9 '$(DIR)'/usr/share/man/man8/*.8
	# links
	ln -s runit-init '$(DIR)'/sbin/init
	ln -s runit-init.8.gz '$(DIR)'/usr/share/man/man8/init.8.gz
	ln -s default '$(DIR)'/etc/runit/runsvdir/current
	for i in 2 3 4 5; do \
	  ln -s /etc/runit/getty-$$i '$(DIR)'/etc/runit/runsvdir/default/ \
	    || exit 1; \
	done
	ln -s /etc/runit/getty-5 '$(DIR)'/etc/runit/runsvdir/single/
	for i in 2 3 4; do \
	  ln -s /var/run/getty-$$i '$(DIR)'/etc/runit/getty-$$i/supervise \
	    || exit 1; \
	done

binary-indep: deb-checkdir deb-checkuid install runit-run.deb
	dpkg-gencontrol -isp -prunit-run -P'$(DIR)'
	dpkg -b '$(DIR)' ..

binary-arch: 

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

## runit-run 0.6.0~breezy1

=== Makefile ===
DESTDIR=

install:
	for i in 2 3 4; do install -d '$(DESTDIR)'/etc/runit/getty-$$i; done
	for i in 2 3 4; do \
	  install -m0755 getty-$$i/run \
	    '$(DESTDIR)'/etc/runit/getty-$$i/run && \
	  install -m0755 getty-$$i/finish \
	    '$(DESTDIR)'/etc/runit/getty-$$i/finish || exit 1; \
	done
	for i in 1 2 3 ctrlaltdel; do \
	  install -m0755 $$i '$(DESTDIR)'/etc/runit/$$i || exit 1; \
	done
	install -m0755 runit-policy-rc.d \
	  '$(DESTDIR)'/usr/sbin/runit-policy-rc.d

=== debian/changelog ===
runit-run (0.6.0~breezy1) breezy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Tue, 13 Dec 2005 20:10:36 +0000

runit-run (0.6.0) unstable; urgency=low

  * getty-2/run, getty-3/run, getty-4/run: use fgetty if available, getty
    otherwise.
  * 1: add start argument to /etc/init.s/rmnologin.
  * 3: use the sv program instead of svwaitdown to shut down services.
  * ctrlaltdel, runit-policy-rc.d: minor.
  * debian/control: Depends: runit (>> 1.3.1-0); Recommends: fgetty.
  * debian/copyright: 2005.
  * debian/INTERFACE.policy-rc.d: update to current
    /usr/share/doc/sysv-rc/README.policy-rc.d.gz.
  * debian/README.Debian: refer to sv program instead of runsvctrl.
  * debian/control: update description; Standards-Version: 3.6.2.0.
  * debian/runit-run.prerm: use sv program instead of svwaitdown to shut
    down getties; typo.
  * debian/runit-run.postinst: on configure always add diversions and
    check /var/service.

 -- Gerrit Pape <pape@smarden.org>  Wed, 12 Oct 2005 12:27:02 +0000

=== debian/control ===
Source: runit-run
Section: admin
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Standards-Version: 3.6.2.0

Package: runit-run
Architecture: all
Depends: runit (>> 1.3.1-0), sysv-rc
Recommends: fgetty
Replaces: daemontools-run
Description: a UNIX init scheme with service supervision
 runit is a replacement for SysV-init and other init schemes.  It runs on
 Debian GNU/Linux, *BSD, MacOSX, and Solaris, and may be easily adapted
 to other Unix operating systems.  runit implements a simple three-stage
 concept.  Stage 1 performs the system's one-time initialization tasks.
 Stage 2 starts the system's uptime services (via the runsvdir program).
 Stage 3 handles the tasks necessary to shutdown and halt or reboot.
 .
 See http://smarden.org/runit/ for more information.
 .
 This package replaces the /sbin/init program and configures runit to run
 as process no 1 after the next reboot.

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 binary-arch: 
 
 binary: binary-indep binary-arch
+
 .PHONY: build clean install binary-indep binary-arch binary
 
 include debian/implicit

## runit-run 0.7.999bpo1

=== debian/changelog ===
runit-run (0.7.999bpo1) sarge-backports; urgency=low

  * Backported for sarge.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 13 Jun 2006 22:16:57 -0400

runit-run (0.8.0) unstable; urgency=low

  * runit-policy-rc.d: change policy from ``don't run init scripts at all''
    to ``only run init scripts, if the 'script' is a symbolic link to the sv
    program'' (closes: #240685).
  * runit-policy-rc.d.8: adapt.
  * debian/README.Debian: document new init scripts policy; rename to
    debian/runit-run.README.Debian.
  * debian/implicit: update to revision 1.11.
  * debian/control: Standards-Version: 3.7.2.0.
  * debian/runit-run.docs: remove debian/README.Debian.
  * debian/copyright: 2006.

 -- Gerrit Pape <pape@smarden.org>  Sat, 27 May 2006 16:03:46 +0000

runit-run (0.7.0) unstable; urgency=low

  * Makefile, debian/rules, debian/runit-run.conffiles,
    debian/runit-run.postinst, debian/runit-run.preinst: move
    /etc/runit/getty-? -> /etc/sv/getty-?.
  * getty-1, Makefile, debian/rules: add getty-1 service (closes:
    #353673).
  * debian/runit-run.conffiles: adapt.
  * debian/rules: don't include var/run/getty-? directories in package.

 -- Gerrit Pape <pape@smarden.org>  Mon, 20 Mar 2006 19:52:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Gerrit Pape <pape@smarden.org>
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2.0
 
 Package: runit-run
 Architecture: all

## runit-run 0.8.1

=== Makefile ===
DESTDIR=

install:
	for i in 1 2 3 4; do install -d '$(DESTDIR)'/etc/sv/getty-$$i; done
	for i in 1 2 3 4; do \
	  install -m0755 getty-$$i/run \
	    '$(DESTDIR)'/etc/sv/getty-$$i/run && \
	  install -m0755 getty-$$i/finish \
	    '$(DESTDIR)'/etc/sv/getty-$$i/finish || exit 1; \
	done
	for i in 1 2 3 ctrlaltdel; do \
	  install -m0755 $$i '$(DESTDIR)'/etc/runit/$$i || exit 1; \
	done
	install -m0755 runit-policy-rc.d \
	  '$(DESTDIR)'/usr/sbin/runit-policy-rc.d

=== debian/changelog ===
runit-run (0.8.1) unstable; urgency=low

  * debian/control: Depends: initscripts (thx Michael Biebl, closes:
    #396753).

 -- Gerrit Pape <pape@smarden.org>  Fri,  3 Nov 2006 22:30:12 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: runit-run
 Architecture: all
-Depends: runit (>> 1.3.1-0), sysv-rc
+Depends: runit (>> 1.3.1-0), sysv-rc, initscripts
 Recommends: fgetty
 Replaces: daemontools-run
 Description: a UNIX init scheme with service supervision

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 install-stamp: build-stamp
 	rm -rf '$(DIR)'
 	for i in etc/runit/runsvdir/default etc/runit/runsvdir/single \
-	  sbin usr/sbin var/run/getty-2 var/run/getty-3 var/run/getty-4; do \
+	  sbin usr/sbin; do \
 	  install -d -m0755 '$(DIR)'/$$i || exit 1; \
 	done
 	$(MAKE) install DESTDIR='$(DIR)'/
@@ -27,13 +27,13 @@
 	ln -s runit-init '$(DIR)'/sbin/init
 	ln -s runit-init.8.gz '$(DIR)'/usr/share/man/man8/init.8.gz
 	ln -s default '$(DIR)'/etc/runit/runsvdir/current
-	for i in 2 3 4 5; do \
-	  ln -s /etc/runit/getty-$$i '$(DIR)'/etc/runit/runsvdir/default/ \
+	for i in 1 2 3 4 5; do \
+	  ln -s /etc/sv/getty-$$i '$(DIR)'/etc/runit/runsvdir/default/ \
 	    || exit 1; \
 	done
-	ln -s /etc/runit/getty-5 '$(DIR)'/etc/runit/runsvdir/single/
-	for i in 2 3 4; do \
-	  ln -s /var/run/getty-$$i '$(DIR)'/etc/runit/getty-$$i/supervise \
+	ln -s /etc/sv/getty-5 '$(DIR)'/etc/runit/runsvdir/single/
+	for i in 1 2 3 4; do \
+	  ln -s /var/run/sv.getty-$$i '$(DIR)'/etc/sv/getty-$$i/supervise \
 	    || exit 1; \
 	done

## runit-run 0.9.0~bpo40+1

=== debian/changelog ===
runit-run (0.9.0~bpo40+1) etch-backports; urgency=low

  * build for etch.

 -- Gerrit Pape <pape@smarden.org>  Sun, 30 Mar 2008 22:54:31 +0000

runit-run (0.9.0) unstable; urgency=low

  * debian/runit-run.postinst, debian/runit-run.postrm,
    debian/runit-run.prerm: runit's directory for services is now
    /etc/service/, instead of /var/service/; use the update-service program
    to add/remove the getty services, instead of dealing with symlinks in
    /var/service/ directly.
  * debiab/control: Depends: runit (>= 1.8.0-3) (1st version with
    /etc/service/).
  * debian/runit-run.postrm: adapt paths in /var/run/.

 -- Gerrit Pape <pape@smarden.org>  Sun, 24 Feb 2008 15:06:38 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: runit-run
 Architecture: all
-Depends: runit (>> 1.3.1-0), sysv-rc, initscripts
+Depends: runit (>= 1.8.0-3), sysv-rc, initscripts
 Recommends: fgetty
 Replaces: daemontools-run
 Description: a UNIX init scheme with service supervision

## runit-run 1.0.0

=== debian/changelog ===
runit-run (1.0.0) unstable; urgency=low

  * debian/runit-run.README.Debian, debian/runit-run.preinst: improve
    instructions on how to switch to runit as pid 1 (thx Joost van
    Baal).
  * debian/control: Standards-Version: 3.8.0.1.
  * debian/copyright: 2008.
  * debian/implicit: update to revision a09db2e.
  * debian/rules, debian/INTERFACE.policy-rc.d: minor.
  * debian/runit-run.postrm: purge: supervise subdirs are now in
    /var/lib/supervise/.

 -- Gerrit Pape <pape@smarden.org>  Tue, 17 Jun 2008 19:41:23 +0000

runit-run (0.9.1) unstable; urgency=medium

  * 2, 3: Debian's directory for services is now /etc/service/, not
    /var/service/ (#461478).
  * debian/control: Standards-Version: 3.7.3.0.

 -- Gerrit Pape <pape@smarden.org>  Wed, 09 Apr 2008 21:21:21 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Gerrit Pape <pape@smarden.org>
-Standards-Version: 3.7.2.0
+Standards-Version: 3.8.0.1
 
 Package: runit-run
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -37,13 +37,11 @@
 	    || exit 1; \
 	done
 
+binary: binary-indep binary-arch
 binary-indep: deb-checkdir deb-checkuid install runit-run.deb
 	dpkg-gencontrol -isp -prunit-run -P'$(DIR)'
 	dpkg -b '$(DIR)' ..
-
 binary-arch: 
-
-binary: binary-indep binary-arch
 
 .PHONY: build clean install binary-indep binary-arch binary

## runit-run 1.1.1+nmu1

=== debian/changelog ===
runit-run (1.1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium due to RC bug fix.
  * debian/runit-run.preinst: never fail on noninteractive debconf frontend,
    to make piuparts happy. (closes: #562945)
  * Pre-Depends on debconf, as needed by preinst [lintian].

 -- Theppitak Karoonboonyanan <thep@debian.org>  Sun, 24 Jan 2010 23:07:31 +0700

runit-run (1.1.1) unstable; urgency=low

  * debian/runit-run.config: typo (#550816).

 -- Gerrit Pape <pape@smarden.org>  Tue, 13 Oct 2009 08:55:57 +0000

runit-run (1.1.0) unstable; urgency=low

  * debian/runit-run.config, debian/runit-run.templates.in: new; use
    debconf to prompt before installation (closes: #542157, #502749,
    #525338, #408280).
  * debian/runit-run.preinst: use debconf to prompt if available.
  * debian/rules: new target po-templates.
  * debian/control: Build-Depends: po-debconf.
  * debian/runit-run.postrm: run db_purge on purge.
  * debian/runit-run.preinst: use dpkg-query instead of grepping
    /var/lib/dpkg/status.

 -- Gerrit Pape <pape@smarden.org>  Tue, 29 Sep 2009 19:03:33 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: admin
 Priority: optional
 Maintainer: Gerrit Pape <pape@smarden.org>
+Build-Depends: po-debconf
 Standards-Version: 3.8.0.1
 
 Package: runit-run
 Architecture: all
+Pre-Depends: debconf
 Depends: runit (>= 1.8.0-3), sysv-rc, initscripts
 Recommends: fgetty
 Replaces: daemontools-run

## runit-run 1.1.2

=== debian/changelog ===
runit-run (1.1.2) unstable; urgency=high

  * Revert Non-maintainer upload (reopens #562945, WONTFIX).
  * debian/control: Standards-Version: 3.8.4.0.

 -- Gerrit Pape <pape@smarden.org>  Wed, 24 Mar 2010 21:05:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Gerrit Pape <pape@smarden.org>
 Build-Depends: po-debconf
-Standards-Version: 3.8.0.1
+Standards-Version: 3.8.4.0
 
 Package: runit-run
 Architecture: all
-Pre-Depends: debconf
 Depends: runit (>= 1.8.0-3), sysv-rc, initscripts
 Recommends: fgetty
 Replaces: daemontools-run

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,15 @@
 build-stamp: 
 	touch build-stamp
 
+po-templates: po-templates-stamp
+po-templates-stamp: deb-checkdir
+	po2debconf debian/runit-run.templates.in >debian/runit-run.templates
+	touch po-templates-stamp
+
 clean: deb-checkdir deb-checkuid
-	rm -f build-stamp
+	rm -f build-stamp po-templates-stamp
 	rm -rf '$(DIR)'
-	rm -f debian/files
+	rm -f debian/files debian/runit-run.templates
 
 install: deb-checkdir deb-checkuid install-stamp
 install-stamp: build-stamp
@@ -38,11 +43,11 @@
 	done
 
 binary: binary-indep binary-arch
-binary-indep: deb-checkdir deb-checkuid install runit-run.deb
+binary-indep: deb-checkdir deb-checkuid install po-templates runit-run.deb
 	dpkg-gencontrol -isp -prunit-run -P'$(DIR)'
 	dpkg -b '$(DIR)' ..
 binary-arch: 
 
-.PHONY: build clean install binary-indep binary-arch binary
+.PHONY: build po-templates clean install binary-indep binary-arch binary
 
 include debian/implicit
